Get apps
curl --request GET \
--url https://api.opal.dev/v1/apps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/apps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"app_id": "f454d283-ca87-4a8a-bdbb-df212eca5353",
"name": "Okta Org",
"description": "Okta directory for the engineering team.",
"admin_owner_id": "7c86c85d-0651-43e2-a748-d69d658418e8",
"app_type": "OKTA_DIRECTORY"
},
{
"app_id": "5247d283-ca87-4a8a-bdbb-df212eca1243",
"name": "Prod AWS Account",
"description": "Our production engineering account for AWS.",
"admin_owner_id": "aab485d-0651-43e2-a748-d69d6584123af",
"app_type": "AWS"
}
]Returns a list of App objects.
GET
/
apps
Get apps
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A list of app types to filter by.
The type of an app.
Available options:
ACTIVE_DIRECTORY, ANTHROPIC, AZURE_AD, AWS, AWS_SSO, CLICKHOUSE, COUPA, CURSOR, CUSTOM, CONFLUENCE, CUSTOM_CONNECTOR, DATABRICKS, DATASTAX_ASTRA, ALICLOUD, DEVIN, DOCUSIGN, DUO, GCP, GIT_HUB, GIT_LAB, GOOGLE_GROUPS, GOOGLE_WORKSPACE, GRAFANA, HUBSPOT, ILEVEL, INCIDENTIO, JIRA, LDAP, LINEAR, MARIADB, MONGO, MONGO_ATLAS, MYSQL, NETSUITE, DATADOG, OKTA_CIAM, OKTA_DIRECTORY, OPENAI_PLATFORM, OPAL, ORACLE_FUSION, PAGERDUTY, POSTGRES, ROOTLY, SALESFORCE, SNOWFLAKE, SLACK, TABLEAU, TAILSCALE, TELEPORT, TWINGATE, VAULT, WORKDAY, ZENDESK, ZOOM An owner ID to filter by.
Response
200 - application/json
A list of apps for your organization.
A list of apps.
Show child attributes
Show child attributes
Last modified on September 9, 2026
Was this page helpful?